CTRLALTDEL(8)

BEZEICHNUNG
ctrlaltdel - Die Funktion der Kombination Strg-Alt-Entf setzen

ÜBERSICHT

ctrlaltdel hard|soft

BESCHREIBUNG

Die Untersuchung des Codes in linux/kernel/reboot.c lässt erkennen, dass es zwei unterstützte Funktionen gibt, die mit der Sequenz Strg-Alt-Entf ausgeführt werden können.

hard
    startet unmittelbar ohne Aufruf von sync(2) und ohne weitere Vorbereitungen den Rechner neu. Dies ist die Vorgabe.

soft
    bringt den Kernel dazu, das Signal SIGINT (Interrupt) an den init-Prozess zu senden (dies ist stets der Prozess mit der Prozesskennung 1). Wenn diese Option verwendet wird, muss das init(8)-Programm dieses Funktionsmerkmal unterstützen. Da es mehrere init(8)-Programme in der Linux-Gemeinschaft gibt, sollten Sie die Dokumentation der Version zu Rate ziehen, die Sie derzeit verwenden.

Wird der Befehl ohne Argumente ausgeführt, zeigt er die aktuellen Einstellungen an.

Die Funktion von ctrlaltdel wird üblicherweise in der Datei /etc/rc.local gesetzt.

OPTIONEN

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

DATEIEN

/etc/rc.local

AUTOREN

SIEHE AUCH

init(8), systemd(1)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl ctrlaltdel ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.